{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Debug",
            "type": "node",
            "request": "launch",
            "envFile": "${workspaceFolder}/.env",
            "env": {
                "USE_MOCK_AUTH": "true",
                "MOCK_USER_ID": "109754742613069927799",
                "MOCK_USER_NAME": "Nikola Derežić"
            },
            "runtimeArgs": [
                "run", // this is `run` from `npm run`
                "dev" // this is `dev` from `npm run dev`
            ],
            "runtimeExecutable": "npm",
            "cwd": "${workspaceFolder}/",
            "localRoot": "${workspaceFolder}/",
            "remoteRoot": "/app/",
            "skipFiles": [
                "<node_internals>/**",
                "./server/<node_internals>/**",
                "./script/**"
            ],
            "preLaunchTask": "start-mongo",
            "postDebugTask": "terminate-mongo",
            // "restart": true,
            "outputCapture": "std", // this will capture the output of the process and show it in the debug console
            "presentation": {
                "hidden": false,
                "group": "Debug",
                "order": 0
            }
        }
    ]
}